summaryrefslogtreecommitdiffstats
path: root/sdc-os-chef/sdc-sanity/startup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sdc-os-chef/sdc-sanity/startup.sh')
-rw-r--r--sdc-os-chef/sdc-sanity/startup.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/sdc-os-chef/sdc-sanity/startup.sh b/sdc-os-chef/sdc-sanity/startup.sh
index 3a56a302f6..349741c353 100644
--- a/sdc-os-chef/sdc-sanity/startup.sh
+++ b/sdc-os-chef/sdc-sanity/startup.sh
@@ -1,5 +1,14 @@
#!/bin/bash
-export CHEFNAME=${ENVNAME}
cd /root/chef-solo
-chef-solo -c solo.rb -E ${CHEFNAME} \ No newline at end of file
+chef-solo -c solo.rb -E ${ENVNAME}
+
+rc=$?
+
+if [[ $rc != 0 ]]; then
+ echo "Sanity failed !!!"
+ exit $rc
+else
+ echo "completed successfully :-)"
+ exit 0
+fi \ No newline at end of file